package com.jianshui.income.domain.entity;

import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 进项-发票统计企业查询对象 income_invoice_auth_company_statistics_detail
 *
 * @author jianshui
 * @date 2022-09-05
 */
public class IncomeInvoiceAuthCompanyStatisticsDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 统计表ID */
    @Excel(name = "统计表ID")
    private String statisticsId;

    /** 所属月 */
    @Excel(name = "所属月")
    private String skssq;

    /** 购方税号 */
    @Excel(name = "购方税号")
    private String gmdsbh;

    /** 发票类型 */
    @Excel(name = "发票类型")
    private String fplxdm;

    /** 抵扣发票份数 */
    @Excel(name = "抵扣发票份数")
    private String dkfpfs;

    /** 抵扣总金额 */
    @Excel(name = "抵扣总金额")
    private String dkzje;

    /** 抵扣总有效税额 */
    @Excel(name = "抵扣总有效税额")
    private String dkzyxse;

    /** 不抵扣发票份数 */
    @Excel(name = "不抵扣发票份数")
    private String bdkfpfs;

    /** 不抵扣总金额 */
    @Excel(name = "不抵扣总金额")
    private String bdkzje;

    /** 不抵扣总有效税额 */
    @Excel(name = "不抵扣总有效税额")
    private String bdkzyxse;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setStatisticsId(String statisticsId)
    {
        this.statisticsId = statisticsId;
    }

    public String getStatisticsId()
    {
        return statisticsId;
    }
    public void setSkssq(String skssq)
    {
        this.skssq = skssq;
    }

    public String getSkssq()
    {
        return skssq;
    }
    public void setGmdsbh(String gmdsbh)
    {
        this.gmdsbh = gmdsbh;
    }

    public String getGmdsbh()
    {
        return gmdsbh;
    }
    public void setFplxdm(String fplxdm)
    {
        this.fplxdm = fplxdm;
    }

    public String getFplxdm()
    {
        return fplxdm;
    }
    public void setDkfpfs(String dkfpfs)
    {
        this.dkfpfs = dkfpfs;
    }

    public String getDkfpfs()
    {
        return dkfpfs;
    }
    public void setDkzje(String dkzje)
    {
        this.dkzje = dkzje;
    }

    public String getDkzje()
    {
        return dkzje;
    }
    public void setDkzyxse(String dkzyxse)
    {
        this.dkzyxse = dkzyxse;
    }

    public String getDkzyxse()
    {
        return dkzyxse;
    }
    public void setBdkfpfs(String bdkfpfs)
    {
        this.bdkfpfs = bdkfpfs;
    }

    public String getBdkfpfs()
    {
        return bdkfpfs;
    }
    public void setBdkzje(String bdkzje)
    {
        this.bdkzje = bdkzje;
    }

    public String getBdkzje()
    {
        return bdkzje;
    }
    public void setBdkzyxse(String bdkzyxse)
    {
        this.bdkzyxse = bdkzyxse;
    }

    public String getBdkzyxse()
    {
        return bdkzyxse;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("statisticsId", getStatisticsId())
            .append("skssq", getSkssq())
            .append("gmdsbh", getGmdsbh())
            .append("fplxdm", getFplxdm())
            .append("dkfpfs", getDkfpfs())
            .append("dkzje", getDkzje())
            .append("dkzyxse", getDkzyxse())
            .append("bdkfpfs", getBdkfpfs())
            .append("bdkzje", getBdkzje())
            .append("bdkzyxse", getBdkzyxse())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
